#!/bin/sh
SOURCEPATH="http://yanger.googlecode.com/files"
DATADIR="/usr/local/directadmin/data/skin_data"
PLUGINPATH="/usr/local/directadmin/data/skin_data/capri"
SKINPATH="/usr/local/directadmin/data/skins/`cat $PLUGINPATH/name`"

doMessage() {
	if [ -f "$PLUGINPATH/results" ]; then
		echo "$MESSAGE" >> $PLUGINPATH/results
	else
		echo "$MESSAGE" > $PLUGINPATH/results
	fi
	chmod 777 $PLUGINPATH/results
	chown diradmin:diradmin $PLUGINPATH/results
	exit 0;
	exit;
}

if [ -f "$PLUGINPATH/allowcustomlogo" ]; then

	if [ -f "$PLUGINPATH/_newlogo" ] && [ -f "$PLUGINPATH/_logodata" ]; then
		RESELLER="`cat $PLUGINPATH/_logodata`"
		IMGNAME="$RESELLER.gif"

		if [ ! -d "$SKINPATH/images/custom" ]; then
			mkdir $SKINPATH/images/custom
			chown diradmin:diradmin $SKINPATH/images/custom
		fi

		if [ -f "$SKINPATH/images/custom/$IMGNAME" ]; then
			rm -f $SKINPATH/images/custom/$IMGNAME
		fi

		mv $PLUGINPATH/_newlogo $SKINPATH/images/custom/$IMGNAME
		chmod 666 $SKINPATH/images/custom/$IMGNAME
		chown diradmin:diradmin $SKINPATH/images/custom/$IMGNAME

		if [ ! -d "$PLUGINPATH/logos" ]; then
			mkdir $PLUGINPATH/logos
			chmod 755 $PLUGINPATH/logos
		fi

		if [ -f "$SKINPATH/images/custom/$IMGNAME" ]; then
			cp $SKINPATH/images/custom/$IMGNAME $PLUGINPATH/logos/$RESELLER
			chmod 666 $PLUGINPATH/logos/$RESELLER
		fi

		RESELLERS=`cat /usr/local/directadmin/data/admin/reseller.list`
		echo -n "" > $SKINPATH/files_custom.conf
		for LINE in $RESELLERS; do
		{
			echo "IMG_RESLOGO_$LINE=images/custom/$LINE.gif" >> $SKINPATH/files_custom.conf
		}
		done;

		rm -f $PLUGINPATH/_logodata
	fi
else
	rm -f $PLUGINPATH/_newlogo
	rm -f $PLUGINPATH/_logodata
	rm -f $PLUGINPATH/logos/*
	rm -f $SKINPATH/images/custom/*
	rm -f $PLUGINPATH/logos
	rm -f $SKINPATH/files_custom.conf
fi

if [ -f "$PLUGINPATH/upgrade" ]; then

	wget -q -O $PLUGINPATH/upgradeskin $SOURCEPATH/upgrade_capri.sh

	if [ ! -f "$PLUGINPATH/upgradeskin" ]; then
		MESSAGE="无法升级皮肤。服务器不可用。请稍后重试或联系客服。";
		doMessage
		exit;
	fi

	if [ `ls -lah -1|du $PLUGINPATH/upgradeskin |awk '{print $1}'` -lt 1 ]; then
		MESSAGE="无法升级皮肤。服务器不可用。请稍后重试或联系客服。";
		doMessage
		exit;
	fi

	sh $PLUGINPATH/upgradeskin
	rm -f $PLUGINPATH/upgradeskin

fi

if [ -f "$PLUGINPATH/changeimagelogo" ] && [ -f "$PLUGINPATH/imagelogo" ]; then
	mv $SKINPATH/images/logo.gif $SKINPATH/images/logo.gif.bak
	cp $PLUGINPATH/imagelogo $SKINPATH/images/logo.gif
	chown diradmin:diradmin $SKINPATH/images/logo.gif
	rm -f $PLUGINPATH/changeimagelogo
	MESSAGE="徽标已更改。如果您没有看见它，请刷新浏览器。";
	doMessage
	exit;
fi

if [ -f "$PLUGINPATH/restoreimagelogo" ]; then
	mv $SKINPATH/images/logo.bak $SKINPATH/images/logo.gif
	rm -f $PLUGINPATH/imagelogo
	rm -f $PLUGINPATH/restoreimagelogo
	MESSAGE="徽标已还原。如果您没有看见它，请刷新浏览器。";
	doMessage
	exit;
fi

exit 0;
